Get music video count
Get the video count for a specific TikTok ID.
Music video count refresh frequency depends on the number of videos for that link:
- more than 10000 videos: refresh every days
- between 5000 & 10000 videos: refresh every 2 days
- between 1000 & 5000 videos: refresh every 3 days
- between 100 & 500 videos: refresh every 4 days
- less than 100 videos for 7 days: refresh every 10 days
- less than 100 videos for 10 days: refresh every 15 days
- less than 100 videos for 15 days: refresh every 30 days
Need to get the TikTok music link? Use the Get IDs endpoint.
Request
GET
/api/v2/tiktok/music/{identifier}/video/volume
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| identifier | string | A music identifier | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| endDate | string | Optional period filter (YYYY-MM-DD format) | Optional |
| period | integer | Number of historical days | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A music videos volume plots collection |
Video volume plot collection |
| 400 |
Bad Request
Invalid period |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Music not found |